<?php 
    $postList = $this->posts;
    $brandUrl = $this->BrandUrl;
    $brandName = $this->BrandName;
    function cmp($a, $b)
    {
        return strcmp($a['id'], $b['id']);
    }

?>
<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('add-post-image', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body'));
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="col-md-12 col-sm-12">

    <div class="socialcontainer">
        <div class="two-3columns">
            <?php if($this->isBrandAdmin){ ?>
            <div class="post">
                <span class="page-avatar-change-button">
                    <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
                </span>
                
                <div id="add-content-box" class="post-container editor-content">
                    <ul class="navigation-post">
                        <li class="active"><a data-toggle="tab" href="#sectionA"><img src="/images/pencil.png"> Quote</a></li>
                        <li><a data-toggle="tab" href="#sectionB"><img src="/images/photo.png"> Photo</a></li>
                        <li><a data-toggle="tab" href="#sectionC"><img src="/images/video.png"> Video</a></li>
                        <?php if(!$brand->isPersonalPage()){ ?>
                            <li><a data-toggle="tab" href="#sectionD"><img src="/images/products.png"> Products</a></li>
                        <?php } ?>
                    </ul>
                    <div class="tab-content">

                        <!--Quote Content-->
                        <div id="sectionA" class="tab-pane fade in quote-input active">
                            <textarea class="story-input-text" placeholder="Type Brand quote here..."></textarea>
                            <div class="postQuote">
                                <button class="postblueBtn" onclick="postStory('quote-input', 'quote')">Post</button>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <!--End Photo Content-->

                        <!--Photo Content-->
                        <div id="sectionB" class="tab-pane fade addPhoto upload-photo">
                            <div class="addPhotoBack first_photo_section" onclick="uploadImage('photo');">
                                <img src="/images/addphoto.png">
                                <p>Upload Photos</p>
                            </div>
                            <div id="has_photos" class="photo" style="display:none;">
                                <div>
                                    <div class="upload-image-list image-list editable">

                                    </div>
                                </div>
                                <textarea placeholder="Describe Photo" class="story-input-text"></textarea>
                                <!--<div class="thumbs-slide">
                                    <div class="upload-image-list upload-image-list-photo editable small-image-section" data-type="photo"></div>
                                    <div class="clear"></div>
                                </div>-->
                                <div class="postPhoto">
                                    <button class="postBtn" onclick="uploadImage('photo');"><img src="/images/miniadd.png"> Add Photos</button>
                                    <button class="postblueBtn" onclick="postStory('upload-photo', 'photo', true)">Post</button>
                                    <div class="clear"></div>
                                </div>
                                <!-- end of the photo part, lets move to video -->
                            </div>
                        </div>
                        <!--End Quote Content-->

                        <!--Video Content-->
                        <div id="sectionC" class="tab-pane fade video-input">
                            <div class="addVideo" id="hideit2">
                                <a id="hide2" onclick="showid('pasteVideoLink')"></a>
                            </div>
                            <div id="pasteVideoLink" style="display:none;">
                                <div class="videoContent">
                                    <textarea id="videoURLContainer" class="story-input-text" placeholder="Paste your video link"></textarea>
                                </div>
                            </div>
                            <div class="video_frame_container" style="display:none;">
                                <div class="video_frame_contain">
                                    <div class="video_frame_display"></div>
                                    <div class="video-form">
                                        <div class="videoContent video_form_controls">
                                            <textarea placeholder="Describe your video" class="video-input-text story-input-text"></textarea>
                                            <input type="hidden" id="video-url" class="video-url-text" value="" />
                                            <div class="postVideoBtnContainer">
                                                <button class="postblueBtn" onclick="postStory('video-input', 'video')">Post</button>
                                                <div class="clear"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--End Video Content-->

                        <!--Product Content-->
                            <?php if(!$brand->isPersonalPage()){ ?>
                        <div id="sectionD" class="tab-pane fade product-input">
                            <div class="addPhotoBack first-product-image" onclick="uploadImage('product');">
                                <img src="/images/addphoto.png">
                                <p>Upload Product Photo</p>
                            </div>
                            <div id="product" class="product-form" style="display:none;">
                                <div>
                                    <div class="upload-image-list image-list editable">

                                    </div>
                                </div>
                                <!--<div data-type="product" class="upload-image-list upload-image-list-product small-image-section editable"></div>-->
                                <div class="product-title">
                                    <input type="text" placeholder="Product Title.." class="product-title product-input-title">
                                </div>
                                <textarea placeholder="Describe your product" class="product-input-text"></textarea>
                                <div class="postProduct">
                                    <button class="postBtn" onclick="uploadImage('product');"><img src="/images/miniadd.png"> Add Photos</button>
                                    <button class="postblueBtn" onclick="javascript: addProductFromHome();">Post</button>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                            <?php } ?>
                        <!--End Product Content-->
                        <div class="clear"></div>
                    </div>
                    <div class="clear"></div>
                </div>
                
                
                <div id="edit-content-box" class="post-container editor-content" style="display: none;"></div>
            </div>
            <?php } ?>

            <?php if(!empty($postList)){
/*                foreach($postList as $post){*/
                    echo $this->partial('brand-post-partial', [
                            'brand' => $this->brand,
                            'user' => $this->user,
                            'postList' => $postList,
/*                            'post' => $post,*/
                            'isBrandAdmin' => $this->isBrandAdmin,
                            'editable' => true,
                        ]
                    );
/*                }*/
            }else{ ?>
                <div class="feed-container">
                    <div class="avatar invisible">
                    </div>
                    <div class="socialcontent post">
                        <h3>No posts to display</h3>
                        <p>There are no posts to display.</p>
                    </div>
                </div>
                <?php } ?>
            <!-- end of social content -->
            <div class="clear"></div>
        </div>

        <?php
        echo $this->partial('brand-info-partial', [
            'brand' => $this->brand,
            'user' => $this->user,
            'isBrandAdmin' => $this->isBrandAdmin,
            'bannerUrl' => $this->bannerUrl,
        ]);
        ?>
        <div class="clear"></div>
    </div>
</div>
<link href="/css/fullSlider.css" rel="stylesheet">
<script type="text/javascript">
    function socialShare(type, url, title, descr, image, winWidth, winHeight, via) {
        var winTop = (screen.height / 2) - (winHeight / 2);
        var winLeft = (screen.width / 2) - (winWidth / 2);
        if(type == 'fb')
            {
            var shareURL = 'http://www.facebook.com/sharer.php?s=100&p[title]=' + title + '&p[summary]=' + descr + '&p[url]=' + url + '&p[images][0]=' + image;
        }
        else
            {
            var shareVia = (typeof via != "undefined") ? '&via=' + via : '';
            var shareURL = 'https://twitter.com/intent/tweet/?text=' + title + '&url=' + url + shareVia;
        }
        window.open(shareURL, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
    }

    var postActions = {
        love: function($post, postId) {
            // todo: post love

            var loved = $('#post_love_'+postId).attr('data-loved');

            var url = "<?= $this->url("post-love", ['postId' => 'POSTID', 'loveOrNot' => 'LOVED']) ?>".replace(/POSTID/, postId).replace(/LOVED/, loved);

            ajaxSubmitCheck(url, {}, function (data) {

                if(data.status == 'ok')
                    {
                    if(data.login)
                        {
                        $('#loginForm').modal('show');
                    }
                    else
                        {
                        var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
                        if(data.is_love)
                            {
                            $('#post_love_'+postId+' span').text('Loved! '+loveCnt);
                            $('#post_love_'+postId+' span').addClass('fill-heart');
                            $('#post_love_'+postId+' i').addClass('fill-heart');
                            $('#post_love_'+postId).attr('data-loved', 0);
                        }
                        else
                            {
                            $('#post_love_'+postId+' span').text('Love '+loveCnt);
                            $('#post_love_'+postId+' span').removeClass('fill-heart');
                            $('#post_love_'+postId+' i').removeClass('fill-heart');
                            $('#post_love_'+postId).attr('data-loved', 1);
                        }
                    }
                    
                    $headerState = $('.header-brand-stats');
                    var storyLovedCount = (data.story_loved_count != "") ? data.story_loved_count : 0;
                    $headerState.find('.story_loving_count .badge').html(storyLovedCount);
                    
                    $sidebarBox = $('#brand-info-sidebar');
                    $sidebarBox.find('.loved-stories p').html(storyLovedCount);
                }
                else
                    {
                    labAlert(data.status);
                }
            }, 'Sorry, an error has occured. \n%s');
        },
        comment: function($post, postId) {
        $post.find('.comment-form').slideToggle(g_animationSpeed, function() {
                if($(this).is( ":visible" )) {
                    $post.find('.comment-form .comment-content').val("");
                    $post.find('.comment-form .comment-content').trigger("blur");
                    $post.find('.comment-form .comment_id').val("");
                    $post.find('.comment-form .btn-info').val("Comment");
                }
            });

            loadComments($post, postId, 3);
        },
        allcomments: function($post, postId) {
            loadComments($post, postId, 'all');
        },
        share: function($post, postId) {
            // todo: post share
        },
        commentSubmit: function($post, postId) {
            var url = "<?= $this->url("post-comment", ['postId' => 'POSTID']) ?>".replace(/POSTID/, postId);
            var postAs = 'user';

            var $commentInput = $post.find('textarea.comment-content');
            var $comment_id = $post.find('.comment_id');
            var postContent = $commentInput.val().trim();
            var postCommentID = $comment_id.val().trim();

            if(postContent.length < 1) {
                $commentInput.focus();
                return;
            }

            $commentInput.val('');
            $comment_id.val('');

            ajaxSubmitCheck(url, {
                text: postContent,
                comment_id: postCommentID,
                postAs: postAs

            }, function (data) {
                $commentInput.val();
                var $comment_form = $commentInput.closest('.comment-form');
                var $submitBtn = $('.btn-info', $comment_form);
                $('.comment_message').remove();
                var msg = 'Thank you!<br/>Your comment has been submitted and will be reviewed by an administrator.';
                var html = '<div class="comment_message">'+msg+'</div>';
                $commentInput.after(html);
                setTimeout(function() {
                    if($('.comment_message').length > 0)
                        {
                        $('.comment_message').remove();
                    }
                }, 3000);
            $submitBtn.slideUp(g_animationSpeed);
                $comment_form.find('.comment_id').val("");
                $comment_form.find('.btn-info').val("Comment");
                loadComments($post, postId, 3);
            }, 'Sorry, an error has occured while posting your comment. \n%s');

        },
    };

    function postButton(action, postId) {
        var el = document.getElementById("feed-post-" + postId);
        if(!el) {
            console.warn("postButton called on nonexistent post id!", postId);
            return false;
        }
        var actionFn = postActions[action];
        if(!actionFn) {
            console.warn("postButton called with unknown action!", action);
            return false;
        }

        return actionFn($(el), postId);
    }

    function loadComments($post, postId, limit) {
        var $commentSection = $post.find('.comment-section');
        var $commentCntSection = $post.find('.comments_counter');
        var html = '';
        
        window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {"limit": limit}, function (data) {

            loadedComments = data.comments;
            totalComments = data.totalComments;

            loadedComments.sort(function (a, b) {
                return a.id - b.id;
            });

            for(var k in loadedComments) {
                if(!loadedComments.hasOwnProperty(k)) {continue;}
                var c = loadedComments[k];

                var author = htmlspecialchars(c.name);
                var buttons = '';

                <?php if($this->userCanEditBrand) { ?>
                    if(c.public) {
                        buttons = '<a class="pull-right" href="#" onclick="commentButton(\'delete\', '+c.id+'); return false;"><img src="/images/x.png"/> Delete</a>   ';
                    }else{
                        buttons = '<a class="pull-right" href="#" onclick="commentButton(\'delete\', '+c.id+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                        '<a class="pull-right" href="#" onclick="commentButton(\'approve\', '+c.id+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

                    }

                    <?php } ?>

                    html = getCommentsHTML(c, html);
                
                /*html +=
                '<div id="post-comment-'+c.id+'" class="comment '+(c.public?'':'not-approved')+'"> ' +
                '    <h6>   ' +
                '    By ' + author + ' - <span data-date="'+ c.datePosted +'">'+ c.datePosted +'</span> ' +
                buttons +
                '    </h6> ' +
                '   <p>' +htmlspecialchars(c.text)+ '</p> ' +
                '</div>';*/
            }
            $commentSection.children('ol').html(html);
            $commentSection.children('ol').show();
            $commentCntSection.children('span').html(loadedComments.length);
            if(totalComments > 0){
                $post.find('.downspan .commentCounts').html("("+totalComments+")");
            }
            else
            {
                $post.find('.downspan .commentCounts').html("");
            }

            if(totalComments > 3 && limit != "all")
            {
                $post.find('.previous_comments').show();
            }
            else
            {
                $post.find('.previous_comments').hide();
            }
            $commentCntSection.show();

        }, function(serverside, message) {
            console.log("Comment loading error", serverside, message);
            $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
        });
    }
    
    function getCommentsHTML(c, html, isPopup)
    {
        html += '<li id="post-comment-'+c.id+'" class="comment-entity comment '+(c.public?'':'not-approved')+'">';
            html += '<div class="content">';
                html += '<div class="comment-body">';
                    var iniCls = '';
                    var imgHtml = '';
                    if(c.userAvatar == '')
                    {
                        iniCls = 'initial-image';
                        imgHtml = '<span>'+c.userInitails+'</span>';
                    }
                    else
                    {
                        imgHtml = '<img src="'+c.userAvatar+'" alt="'+htmlspecialchars(c.name)+'">';
                    }
                    html += '<a class="image xsmall-image '+iniCls+'">';
                        html += imgHtml;
                    html += '</a>';
                    html += '<div class="header ">';
                        html += '<div data-block="meta" class="meta <?php if(!$this->isBrandAdmin){ ?>nohover<?php } ?>">  ';
                            //html += '<span class="timestamp">'+c.datePosted+'</span>';
                            html += '<span data-timestamp="'+c.date+'" data-timestamp-format="short"></span>';
                        html += '</div>';
                        
                        <?php if($this->isBrandAdmin){ ?>
                        html += '<div class="meta-actions dropdown">';
                            html += '<a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">';
                                html += '<i class="fa fa-ellipsis-h" aria-hidden="true"></i>';
                            html += '</a>';
                            html += '<ul class="dropdown-menu aboutPopup">';
                                html += '<div class="aboutPop">';
                                    html += '<ul>';
                                        html += '<li>';
                                            var onclickEdit = "commentButton('edit', "+c.id+"); return false;";
                                            var onclickDelete = "commentButton('delete', "+c.id+"); return false;";
                                            if(isPopup)
                                            {
                                                onclickEdit = 'editCommentPopup('+c.id+', '+c.postId+'); return false;';
                                                onclickDelete = 'deleteCommentPopup('+c.id+', '+c.postId+'); return false;';
                                            }
                                            html += '<a onclick="'+onclickEdit+'" href="javascript:void(0);">';
                                                html += '<img src="/images/pen.png"><span>Edit</span>';
                                            html += '</a>';
                                        html += '</li>';
                                        html += '<li>';
                                            html += '<a href="javascript:void(0);" onclick="'+onclickDelete+'">';
                                                html += '<img src="/images/trash.png"><span>Delete</span>';
                                            html += '</a>';
                                        html += '</li>';
                                    html += '</ul>';
                                html += '</div>';
                            html += '</ul>';
                        html += '</div>';
                        <?php } ?>
                        
                        html += '<h4 class="sub-headline">';
                            html += '<a class="name" href="javascript:void(0);">'+htmlspecialchars(c.name)+'</a>';
                        html += '</h4>';
                    html += '</div>';

                    html += '<div class="text-entity">';
                        html += '<p>'+htmlspecialchars(c.text)+'</p>';
                    html += '</div>';

                html += '</div>';
            html += '</div>';
        html += '</li>';

        return html;
    }
    var fCommentURL = function (id, action) {
        return "<?= $this->url('manage-comment', ['commentId' => 'COMMENTID', 'action' => 'ACTION']) ?>"
        .replace('COMMENTID', id).replace('ACTION', action);
    };

    var commentActions = {
        'delete': function($comment, commentId, $post, postId) {
            labConfirm('Are you sure that you want to delete this comment?', 'Are you sure?', function(response) {            
                if(response) {
                    window.ajaxSubmitCheck(fCommentURL(commentId, 'rejectComment'), {}, function() {
                        loadComments($post, postId);
                    }, "The comment couldn't be hidden. %s");
                }
            }, "Delete");
        },
        'edit' : function($comment, commentId, $post, postId){
            $commentForm = $('.comment-form', $post);
            
            window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {'commentId' : commentId}, function (data) {
                loadedComment = data.comments;
                //console.log(loadedComment);
                
                $commentForm.find('.comment-content').val(loadedComment.content);
                $commentForm.find('.comment_id').val(loadedComment.id);
                $commentForm.find('.comment-content').focus();
                $commentForm.find('.btn-info').removeAttr('disabled');
                $commentForm.find('.btn-info').val('Edit');
                $comment.parent('ol').slideUp(g_animationSpeed);
                
            }, function(serverside, message) {
                console.log("Comment loading error", serverside, message);
                $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
            });
            
        },
        approve: function($comment, commentId, $post, postId) {
            window.ajaxSubmitCheck(fCommentURL(commentId, 'approveComment'), {}, function() {
                loadComments($post, postId);
            }, "The comment couldn't be approved. %s");
        }
    };

    function commentButton(action, commentId) {
        var el = document.getElementById("post-comment-" + commentId);
        if(!el) {
            console.warn("commentButton called on nonexistent comment id!", commentId);
            return false;
        }
        var actionFn = commentActions[action];
        if(!actionFn) {
            console.warn("commentButton called with unknown action!", action);
            return false;
        }
        var $el = $(el);
        var $post = $el.closest('[data-postid]');
        return actionFn($el, commentId, $post, $post.data('postid'));
    }

    function trim(str) {
        return str.replace(/^\s+|\s+$/g, "");
    }
    function convertURLToVideoPlayer()
    {
        var videoURL = " " + $('#videoURLContainer').val();
        var urlRegex = /(https?\:\/\/|\s)[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})(\/+[a-z0-9_.\:\;-]*)*(\?[\&\%\|\+a-z0-9_=,\.\:\;-]*)?([\&\%\|\+&a-z0-9_=,\:\;\.-]*)([\!\#\/\&\%\|\+a-z0-9_=,\:\;\.-]*)}*/i;
        if (trim(videoURL) !== "") {
            if (urlRegex.test(videoURL)) {
                var framedHTML = videoEmbed.convertVideo(videoURL);
                if(framedHTML != false)
                    {
                    $('.video_frame_container .video_frame_display').html(framedHTML);
                    $('.video_frame_container #video-url').val(videoURL);
                    $('#pasteVideoLink').hide('fast', function(){
                        $('.video_frame_container').slideDown('slow');
                    });
                }
                else
                    {
                    labAlert("Paste video link only.");
                }
            }
            else
                {
                $('#videoURLContainer').val("");
            }
        }
    }
    var temp = document.getElementById('videoURLContainer');
    if(temp){
        temp.addEventListener('paste', function() {
            setTimeout(function () {
                convertURLToVideoPlayer();
            }, 100);
        });

        temp.addEventListener('keyup', function(e) {
            if ((e.which === 13 || e.which === 32 || e.which === 17)) {
                convertURLToVideoPlayer();
            }
        });
    }
    
    
var UploadedImagesListSelPhoto = '.upload-image-list-photo';
var UploadedImagesListSelProduct = '.upload-image-list-product';

window.onGloabalJS.push(function() {
    window.uploadImageList = new lab.ImageList();
    window.uploadGalleryRenderer = new lab.ImageListRenderer('.upload-image-list', window.uploadImageList, {
        controls: {
            remove: function(link) {
                uploadImageList.remove(function(img) {return img.url === link});
            }
        }
    });


    window.uploadImageSetStoragePhoto = window.persistentVariablePhoto("uploadImageSetPhoto", new window.ImageSetPhoto([], UploadedImagesListSelPhoto));
    if(window.uploadImageSetStoragePhoto.get().type !== 'ImageSet') {
        window.uploadImageSetStoragePhoto.set(new window.ImageSetPhoto([], UploadedImagesListSelPhoto));
    }
    //console.log("uploadImageSetStoragePhoto = ", window.uploadImageSetStoragePhoto, window.uploadImageSetStoragePhoto.get());

    window.uploadImageSetStorageProduct = window.persistentVariableProduct("uploadImageSetProduct", new window.ImageSet([], UploadedImagesListSelProduct));
    if(window.uploadImageSetStorageProduct.get().type !== 'ImageSet') {
        window.uploadImageSetStorageProduct.set(new window.ImageSet([], UploadedImagesListSelProduct));
    }
    //console.log("uploadImageSetProduct = ", window.uploadImageSetStorageProduct, window.uploadImageSetStorageProduct.get());
});

function uploadImageToEditorPhoto(img) {
    console.log('Photo');
    console.log(img);
    window.uploadImageList.add(new lab.CachedImage(img));

    var imageSetPhoto = window.uploadImageSetStoragePhoto.get();
    imageSetPhoto.addImages([img]);
    window.uploadImageSetStoragePhoto.set(imageSetPhoto);
}

function uploadImageToEditorProduct(img) {
    console.log('Product');
    console.log(img);
    window.uploadImageList.add(new lab.CachedImage(img));

    var imageSetProduct = uploadImageSetStorageProduct.get();
    imageSetProduct.addImages([img]);
    window.uploadImageSetStorageProduct.set(imageSetProduct);
}

function uploadImage(type) {
    var handelClass = '.upload-image-list-'+type;
    //console.log(handelClass);
    UploadedImagesListSel = handelClass;
    if(type == 'post')
    {
        window.imageSubmittedCallback = uploadImageToEditor;
    }
    else if(type == 'product')
    {
        window.imageSubmittedCallback = uploadImageToEditorProduct;
    }
    else
    {
        window.imageSubmittedCallback = uploadImageToEditorPhoto;
    }
    $("#editorImageSubmitter").click();
}

function removeImageClicked(el, type) {
    var $container = $(el).closest('.img-container');
    var $img = $('img', $container);
    var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
    function(response) {
        if(response) {
            removeImage($img.attr('src'), type);
        }
    }, "Delete", "Cancel");
}

function removeImage(img, type) {
    window.uploadImageList.remove(function(el) {
        return el.url == img;
    });
    switch(type)
    {
        case 'photo' : 
                var ImageSetPhoto = window.uploadImageSetStoragePhoto.get();
                ImageSetPhoto.removeImages([img]);
                window.uploadImageSetStoragePhoto.set(ImageSetPhoto);
            break;
        case 'product' : 
                    var imageSet = window.uploadImageSetStorageProduct.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageProduct.set(imageSet);
                break;
        default : 
                var imageSet = window.uploadImageSetStorage.get();
                imageSet.removeImages([img]);
                window.uploadImageSetStorage.set(imageSet);
            break;
    }
}

function focusTextArea(obj)
{
    $(obj).attr('style', 'height:50px');
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length <= 0)
    {
        $submitBtn.attr('disabled', 'disabled');
    }
    $submitBtn.slideDown(g_animationSpeed);
}

function focusOutTextArea(obj)
{    
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length <= 0)
    {
        $(obj).attr('style', 'height:35px');
        $submitBtn.attr('disabled', 'disabled');
        $submitBtn.slideUp(g_animationSpeed);
    }    
}

function keyUpTextArea(obj)
{
    $(obj).attr('style', 'height:50px');
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length > 0)
    {
        $submitBtn.removeAttr('disabled');
    }
    else
    {
        $submitBtn.attr('disabled', 'disabled');
    }
}

function initHomeTab() {

    if(window.feed.activeSegment != 'landing' && window.feed.activeSegment != 'home') {
        return;
    }

    $('.quote-input textarea.story-input-text').on('keyup', function() {
        var $this = $(this);
        $this.css({fontSize: getQuoteTextSize($this.val())+'px'});
    });

    if($('.upload-product-photo .upload-image-list-product div.img-row').length > 0)
    {
        $('.upload-product-photo .upload-image-list-product').show();
        $('.upload-product-photo .product-form').show();
        $('.upload-product-photo .first-product-image').hide();
    }
    
    $(document).on('mouseover', '.small-image-section .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.small-image-section').hasClass('editable')) {
            var type = $panel.closest('.small-image-section').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img class="x-image" src="/images/x.png"></button></div>');
            }
        }
    });
    
    window.setTimeout(function(){
        var $postConetnt = $('.socialcontent .post-content');
        $postConetnt.each(function(){
            var $anchors = $('a', $postConetnt);
            $anchors.each(function(){
                $(this).attr('target', '_blank');
            });
        });
        
    }, 500);
}
window.onFeedJS.push(initHomeTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initHomeTab);
});


function editPost(el, postType)
{
    var $el = $(el);
    var postID = $el.data('postid');
    var isAlbum = $el.data('album');
    
    switch(postType)
    {
        case 'stories' :
                feed.navigateToSegment('stories', 'edit', postID);
            break;
        
        case 'gallery' :
                if(isAlbum)
                {
                    feed.navigateToSegment('album', 'edit', postID);
                }
                else
                {
                    feed.navigateToSegment('gallery', 'edit', postID);
                }
            break;
            
        case 'video' :
                feed.navigateToSegment('video', 'edit', postID);
            break;
        
        case 'products' :
                var category = $el.data('category');
                feed.navigateToSegment('products', category, 'edit', postID);
            break;
        
        case 'home' :
                window.loadingIndicator($('body'));
                ajaxSubmit('<?php echo $this->url('get-post', ['postId' => 'POSTID']); ?>'.replace(/POSTID/, postID), {}, function (data) {
                        $('#edit-content-box').html(data);
                        
                        
                        $('#add-content-box').hide();
                        
                        $('#edit-content-box').slideDown(g_animationSpeed);
                        $('.loading-indicator-background').remove();
                        $('html,body').animate({
                            scrollTop: $('#edit-content-box').offset().top},
                        g_animationSpeed);
                }); 
            break;
            
    }
}

function cancelEditPost(postId)
{
    $('#post-edit-'+postId).hide();
    $('#post-edit-'+postId).remove();
    
    $('#edit-content-box').hide();
    $('#add-content-box').show();
    $('html,body').animate({
        scrollTop: $('#feed-post-'+postId).offset().top},
    g_animationSpeed);
}

window.onload = function() {
    $('#image-modal-full').on('show.bs.modal', function (e) {
           var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
           var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
           getSliderPostData(currentSlidePostId, currentIndex);
    });
    
    $('#image-modal-full #fs-photo-slider').on('slid.bs.carousel', function () {
        var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
        var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
        
        getSliderPostData(currentSlidePostId, currentIndex);
    });
}

function deletePosts($el, postType)
{
    labConfirm("Do you really want to delete this story?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($el.attr('href'), {postType: postType}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#feed-post-'+$el.data('postid')).slideUp(g_animationSpeed, function(){ $(this).remove();  });                    
                }
                $('.loading-indicator-background').remove();
            });
            return false;
            }
        }, "Delete", "Cancel");
}

</script>
<?php
echo $this->partial('brand-post-modal');
?>